Loading...
Searching...
No Matches
graphsym.cpp File Reference
`#include <openbabel/graphsym.h>`
`#include <openbabel/babelconfig.h>`
`#include <openbabel/mol.h>`
`#include <openbabel/atom.h>`
`#include <openbabel/bond.h>`
`#include <openbabel/ring.h>`
`#include <openbabel/obiter.h>`
`#include <openbabel/generic.h>`
`#include <openbabel/stereo/cistrans.h>`
`#include <openbabel/stereo/tetrahedral.h>`
`#include <openbabel/elements.h>`
`#include <iterator>`
`#include <cassert>`
`#include <algorithm>`
`#include <cmath>`
`#include <limits>`
`#include "stereo/stereoutil.h"`

## Namespaces

namespace | OpenBabel

## Functions

template<typename T>
void | print_vector (const std::string &label, const std::vector< T > &v)
void | print_sym_classes (const std::string &label, const std::vector< std::pair< OpenBabel::OBAtom *, unsigned int > > &atom_sym_classes)
bool | CompareUnsigned (const unsigned int &a, const unsigned int &b)
bool | ComparePairFirst (const std::pair< OBAtom *, unsigned int > &a, const std::pair< OBAtom *, unsigned int > &b)
bool | ComparePairSecond (const std::pair< OBAtom *, unsigned int > &a, const std::pair< OBAtom *, unsigned int > &b)

## Detailed Description

Handle and perceive graph symmtery for canonical numbering.

## Function Documentation

## print_vector()

template<typename T>

void print_vector | ( | const std::string & | label,
|  | const std::vector< T > & | v )

## print_sym_classes()

void print_sym_classes | ( | const std::string & | label,
|  | const std::vector< std::pair< OpenBabel::OBAtom *, unsigned int > > & | atom_sym_classes )